$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.64.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.64.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '3CD990D5D13C20DF3FA2D70127821590E9D9FBB3B5FD1131D2F3F3CD0915A917'
  checksumType = 'sha256'
  checksum64 = '3CD990D5D13C20DF3FA2D70127821590E9D9FBB3B5FD1131D2F3F3CD0915A917'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.64-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
